﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using DontHarmWebApi.Entities;

namespace DontHarmWebApi.Controllers
{
    public class ClientsController : Controller
    {
        private readonly user12Context _context;

        public ClientsController(user12Context context)
        {
            _context = context;
        }

        // GET: /Clients/Index
        // Возвращает список всех клиентов
        public async Task<IActionResult> Index()
        {
            if (_context.Clients == null)
            {
                return Problem("Entity set 'user12Context.Clients'  is null.");
            }
            return Json(await _context.Clients.ToListAsync());
                          
        }

        // GET: /Clients/Index/<int>
        // Возвращает детали клиента по его id
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null || _context.Clients == null)
            {
                return NotFound();
            }

            var client = await _context.Clients.FirstOrDefaultAsync(m => m.Id == id);
            if (client == null)
            {
                return NotFound();
            }

            return Json(client);
        }

        // GET: Clients/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Clients/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Type,Login,Password,Surname,Name,Patronymic,Birthdate,PassportSeries,PassportNumber,Phone,Email,CompanyName,CompanyAddress,Inn,Account,Bik,Hidden")] Client client)
        {
            if (ModelState.IsValid)
            {
                _context.Add(client);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return Json(client);
        }
    }
}
