﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using DontHarmWebApi.Entities;

namespace DontHarmWebApi.Controllers
{
    public class EmployeeServicesController : Controller
    {
        private readonly user12Context _context;

        public EmployeeServicesController(user12Context context)
        {
            _context = context;
        }

        // GET: ListByUserId/<int>
        // Возвращает все услуги, предоставляемые сотрудником
        public async Task<IActionResult> ListByUserId(int? id)
        {
            if (id == null || _context.EmployeeServices == null)
            {
                return NotFound();
            }
            var user12Context = _context.EmployeeServices.Where(e => e.UserId == id);
            var services = await user12Context.ToListAsync();

            var list = new List<object>();
            foreach (var empService in services)
            {
                list.Add(new {
                    id = empService.Id,
                    serviceId = empService.ServiceId,
                    employeeId = empService.UserId
                });
            }
            return Json(list);
        }
    }
}
